#include Once "window9.bi"

Sub Setclipboardtext (sText As String) Export
	
	Dim As GtkClipboard Ptr cb = gtk_clipboard_get_for_display (gdk_display_get_default (), GDK_SELECTION_CLIPBOARD)
	
	If cb Then
		
		If Len(sText) Then
			
			gtk_clipboard_set_text(cb , Strptr(sText) , -1)
			
		Else
			
			gtk_clipboard_set_text(cb , "" , 0)
			
		Endif
		
	Endif
	
End Sub